@import "fonts.less";

@red: #ff553b;
@redHover: #da4932;
@redActive: darken(@redHover, 10%);
@blue: #0068ff;
@blueHover: #005add;
@blueActive: darken(@blueHover, 10%);
@gray: #7a7a7a;
@grayBg: #eaebec;
@grayBtn: rgba(122, 122, 122, 0.1);
@grayBtnHover: rgba(122, 122, 122, 0.15);
@grayBtnActive: fadein(@grayBtnHover, 10%);
@darkGray: #363a41;
@yellow: #fcc94f;
@yellowActive: #edbe4c;
@lightYellow: #fcf3b5;
@shadowGray: #fdd0d0;
@bord: #dfdfdf;
@green: #33d16b;
@greenHover: #22ca5d;

body,
html {
  margin: 0;
  padding: 0;
  height: 100%;
}

.hidden {
  visibility: hidden;
}

.icon-KeycrmSettings:before {
  content: "\f07a";
}

.keycrm {
  &-wrap {
    font-family: OpenSans, Arial, sans-serif;
    padding: 0 15px;
    height: 100%;
    background: white;

    *,
    *::before,
    *::after {
      box-sizing: border-box;
    }
  }

  input[type="file"],
  input[type="password"],
  input[type="text"],
  input[readonly][type="text"],
  textarea {
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 2px 4px;
  }

  &-container {
    margin: 0 auto;
    width: 100%;
    max-width: 950px;
  }

  &-title {
    margin: 60px 0 0;
    font-weight: 400;
    text-align: center;
    font-size: 28px;
    line-height: 38px;

    &_content {
      text-align: left;
      margin-top: 40px;
    }
  }

  &-txt {
    color: @gray;
    font-size: 18px;
    line-height: 26px;
  }

  &-descript {
    margin-top: 45px;
    text-align: center;
  }

  &-tab {
    &__enabled {
      display: block;
    }

    &__disabled {
      display: none !important;
    }
  }

  &-video {
    margin: 30px auto 0;
    text-align: center;
    position: relative;

    &-trigger {
      position: absolute;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
      width: 100%;
      height: 100%;
      cursor: pointer;
    }

    & iframe {
      pointer-events: none;
    }

    &__btn {
      position: absolute;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      margin: auto;
      width: 100px;
      height: 100px;
      cursor: pointer;
      opacity: 0.4;
      transition: 0.25s ease;

      svg {
        width: 100%;
      }

      &:hover {
        opacity: 0.6;
      }
    }
  }

  &-btns {
    margin: 56px auto 0;
    display: flex;
    justify-content: space-between;
    max-width: 815px;
    transition: 0.05s ease;

    &__separate {
      padding: 0 20px;
      display: flex;
      align-items: center;
      color: @gray;
      font-size: 16px;
    }

    &_hide {
      opacity: 0;
    }
  }

  &-form {
    &__spacer {
    }

    margin-top: 60px;

    &__title {
      font-size: 16px;
      font-weight: 600;
      line-height: 24px;
      margin-bottom: 22px;

      &_link {
        color: @blue;
        transition: 0.25s ease;
        float: right;

        &:hover {
          color: @blueHover;
        }
      }
    }

    &__label {
      width: 100% !important;
      text-align: left !important;
      margin: 15px 12px;
      font-size: 15px;
    }

    &__row {
      margin-top: 15px;

      &_submit {
        margin-top: 23px;
      }
    }

    &__message-warning {
      padding: 13px 18px;
      margin: 1px 13px;
      border-radius: 8px;
      border: 1px solid @lightYellow;
      font-size: 1rem;
      box-shadow: 0px 0px 6px 0px @shadowGray;
    }

    &__checkbox {
      display: flex;
      flex-direction: row;
      align-items: center;
      padding: 4px 12px;

      input[type="checkbox"] {
        width: 24px;
        height: 24px;
      }

      label {
        width: auto;
        margin-left: 8px;
        font-size: 16px;
      }
    }

    &__area {
      display: inline-block !important;
      vertical-align: top;
      width: 430px !important;
      height: 60px !important;
      border: 1px solid @grayBtnHover !important;
      box-shadow: none !important;
      border-radius: 58px !important;
      padding: 0 28px !important;
      line-height: normal;
      color: @gray !important;
      background-color: white !important;
      font-size: 16px !important;
      appearance: none;

      &:focus {
        color: @darkGray;

        &::-webkit-input-placeholder {
          color: @darkGray;
        }

        &::-moz-placeholder {
          color: @darkGray;
        }

        &:-moz-placeholder {
          color: @darkGray;
        }

        &:-ms-input-placeholder {
          color: @darkGray;
        }
      }

      &_txt {
        padding: 20px 28px !important;
        line-height: 24px !important;
        height: 487px !important;
        border-radius: 20px !important;
        resize: none !important;
        font-family: OpenSans, Arial, sans-serif !important;
      }
    }

    input,
    textarea {
      &:focus {
        outline: none !important;
      }
    }

    &_main {
      margin-top: 34px;
      max-width: 900px;
      width: 100%;

      .keycrm-form__area {
        width: 100% !important;
      }
    }
  }

  &-tabs {
    margin-top: 60px;

    &__btn {
      display: inline-block;
      vertical-align: top;
      padding: 19px 30px;
      font-size: 16px;
      font-weight: 600;
      line-height: 22px;
      color: @gray;
      text-align: center;
      min-width: 152px;
      text-decoration: none !important;
      position: relative;
      transition: 0.25s ease;

      &:hover {
        color: @darkGray;
      }

      &::after {
        content: "";
        height: 3px;
        width: 100%;
        position: absolute;
        bottom: -1px;
        left: 0;
        right: 0;
        opacity: 0;
        visibility: hidden;
        background: @blue;
        transition: 0.25s ease;
      }

      &_active {
        color: @darkGray;

        &::after {
          opacity: 1;
          visibility: visible;
        }
      }
    }

    &__head {
      display: flex;
      justify-content: space-between;
      border-bottom: 1px solid @bord;
    }

    &__body {
      padding-top: 18px;

      p {
        margin-top: 23px;
        margin-bottom: 0;
        color: @gray;
        font-size: 16px;
        line-height: 24px;
      }
    }

    &__item {
      display: none;
    }
  }

  &-list {
    margin: 0;
    padding: 0;
    list-style: none;

    &__item {
      padding-left: 2px;
      position: relative;
      color: @gray;
      font-size: 16px;
      line-height: 24px;

      &::before {
        content: "-";
        display: inline-block;
        vertical-align: top;
        color: @gray;
        font-size: 16px;
        line-height: 24px;
        margin-right: 3px;
      }
    }
  }

  &-tile {
    display: flex;
    flex-wrap: wrap;

    &__col {
      width: 48%;
      padding-right: 35px;

      &:nth-child(1) {
        width: 52%;
      }

      &_contacts {
        padding-right: 0;
      }
    }

    &__row {
      display: flex;
      justify-content: center;
      margin-bottom: 30px;

      &:nth-last-child(1) {
        margin-bottom: 0;
      }
    }

    &__item {
      margin-top: 34px;

      &:nth-child(1) {
        margin-top: 20px;
      }
    }

    &__title {
      color: @darkGray;
      font-size: 16px;
      font-weight: 600;
      line-height: 24px;
    }

    &__descript {
      color: @gray;
      font-size: 16px;
      line-height: 24px;
      margin-top: 10px;
    }

    &__link {
      color: @blue;
      font-size: 16px;
      font-weight: 600;
      line-height: 24px;
      transition: 0.25s ease;

      &:hover {
        color: @blueHover;
      }
    }
  }

  &-popup {
    position: absolute;
    width: 90%;
    height: 90%;
    background: white;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    transform: translate3d(0, -1000%, 0) scale(0.1);
    transition: 0.25s ease;

    &__close {
      position: absolute;
      top: -30px;
      right: -30px;
      width: 30px;
      height: 30px;
      cursor: pointer;

      &::before,
      &::after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        height: 30px;
        width: 2px;
        background: white;
      }

      &::before {
        transform: rotate(45deg);
      }

      &::after {
        transform: rotate(-45deg);
      }
    }

    &.open {
      transform: translate3d(0, 0, 0) scale(1);
    }

    &-wrap {
      position: fixed;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      background: rgba(0, 0, 0, 0.6);
      z-index: 1000;
      display: none;
    }
  }

  &-column {
    display: flex;
    max-width: 1389px;
    height: 100%;

    &__aside {
      width: 253px;
      background: @grayBg;
      min-height: 300px;

      #content.bootstrap & {
        margin: 10px 0;
      }
    }

    &__content {
      flex: 1 0 auto;
      padding: 0 58px;
      min-height: 300px;
    }
  }

  &-menu {
    padding: 8px 20px 8px 15px;

    &__btn {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      vertical-align: top;
      width: 100%;
      height: 60px;
      background: @grayBtn !important;
      font-weight: bold;
      font-size: 16px;
      color: @darkGray !important;
      text-decoration: none !important;
      padding: 0 30px;
      margin-top: 20px;
      border-radius: 5px;
      text-align: center;
      transition: 0.25s ease;

      span {
        display: block;
      }

      &:hover {
        background: @grayBtnHover !important;
      }

      &:nth-child(1) {
        margin-top: 0;
      }

      &_active {
        color: white !important;
        background: @blue !important;

        &:hover {
          background: @blueHover !important;
        }

        &.keycrm-menu__btn_error {
          background: @redHover !important;
        }
      }

      &_error {
        color: white !important;
        background: @red !important;

        &:hover {
          background: @redHover !important;
        }
      }

      &_big {
        font-size: 18px;
      }

      &_hidden {
        display: none;
      }
    }
  }

  &-full-height {
    & {
      height: 100%;
    }
  }

  .btn {
    display: inline-block;
    vertical-align: top;
    background: @grayBtn;
    border-radius: 58px;
    height: 60px;
    line-height: 60px;
    padding: 0 30px;
    font-size: 18px;
    font-weight: 600;
    text-align: center;
    color: @blue;
    text-decoration: none;
    cursor: pointer;
    appearance: none;
    border: none;
    box-shadow: none;
    transition: 0.25s ease;

    &:hover {
      background: @grayBtnHover;
    }

    &:active {
      background: @grayBtnActive;
    }

    &_max {
      min-width: 356px;
    }

    &_invert {
      background: @blue;
      color: white;

      &:hover {
        background: @blueHover;
      }

      &:active {
        background: @blueActive;
      }
    }

    &_whatsapp {
      background: @green;
      color: white;
      padding: 0 62px;

      &:hover {
        background: @greenHover;
      }
    }

    &_submit {
      min-width: 218px;
    }

    &_warning {
      min-width: 218px;
      background: @yellow;

      &:hover {
        background: @yellowActive;
      }
    }
  }

  .toggle-box {
    display: none;
  }

  &-table {
    width: 100%;
    border: none;
    border-radius: 20px;

    &.hidden {
      display: none;
    }

    thead {
      th {
        background: rgba(122, 122, 122, 0.15);
        font-size: 16px;
      }
    }

    tbody {
      tr {
        &.alert,
        &.alert td {
          line-height: 120px;
          font-size: 16px;
        }
        td {
          border-bottom: 1px solid #ccc;
        }
      }
    }

    td,
    th {
      color: #333;
      font-size: 14px;
      line-height: 40px;
      padding: 4px 6px;
      max-width: 300px;
      vertical-align: middle;
    }

    &-wrapper {
      width: 100%;
      max-height: 500px;
      overflow-y: scroll;
      overflow-x: hidden;
    }

    &__row {
      &-bold {
        font-weight: bold;
      }
    }

    &-no-wrap {
      white-space: nowrap;
    }

    &-center {
      &,
      & th {
        text-align: center;
      }
    }

    &-right {
      text-align: right;
    }

    &-sort {
      &__btn,
      &__switch {
        cursor: pointer;

        &:hover {
          color: #005add;
        }
      }

      &__btn {
        float: left;
        clear: both;
        line-height: 20px;
        font-size: 20px;
        padding-left: 10px;
        padding-right: 10px;
        opacity: 0;
        transition: opacity 0.2s ease-out;

        &-wrap {
          position: absolute;
        }
      }

      &__asc {
        //padding-bottom: 0;
      }

      &__desc {
        //padding-top: 0;
      }

      & thead th:hover &__btn,
      & thead td:hover &__btn {
        opacity: 1;
      }
    }
  }

  &-collapsible {
    &__input {
      display: none;
    }

    &__title,
    label&__title {
      cursor: pointer;
      font-weight: normal;
      text-align: center;
      padding: 0;
      position: relative;
      line-height: 1;
      width: 100%;

      &:before {
        content: "\25B6";
        opacity: 0;
        transition: opacity 0.2s ease-out;
      }

      &:hover:before {
        opacity: 1;
      }
    }

    &__content {
      text-align: left;
      font-size: 12px;
      line-height: 1.5;
      background: #fff;
      border: 1px solid rgba(122, 122, 122, 0.15);
      position: absolute;
      z-index: 5;
      top: 20px;
      left: 0;
      padding: 18px;
      margin: 0;
      border-radius: 20px;
      overflow: hidden;
      max-height: 0;
      transition-duration: 0.2s;
      transition-timing-function: ease-out;
      transition-property: max-height, visibility;
      visibility: hidden;
    }

    &__input:checked + &__title &__content {
      max-height: 100vh;
      visibility: visible;
    }
  }

  &-error-msg {
    &,
    &:after,
    &:before {
      color: #dd2e44;
    }
  }

  &-alert {
    position: relative;
    height: 60px;
    padding: 0 50px;
    line-height: 30px;

    &-text {
      font-size: 1.5em;
    }

    &-note {
      color: @gray;
      font-size: 1.2em;
    }

    &:before {
      display: block;
      position: absolute;
      left: 0;
      top: 0;
      padding: 10px 5px;
      font: normal normal normal 40px/1 FontAwesome;
    }

    &-success:before {
      content: "\F058";
      color: @green;
    }

    &-warning:before {
      content: "\F06A";
      color: @yellow;
    }

    &-danger:before {
      content: "\F071";
      color: @red;
    }

    &-info:before {
      content: "\F059";
      color: @blue;
    }
  }

  &-btn-svg {
    width: 15px;
    height: 15px;
    display: inline-block;
    cursor: pointer;
    //transition: transform .3s ease-out;
    &_wrapper {
      cursor: pointer;

      &:hover {
        //transform: scale(1.1);
        fill: @gray;
        color: @gray;
      }
    }
  }
}
